<?php

/******************************** copyright ************************************
/*
/*	All upphovsrtt tillfaller adversus art, web & media samt 
/*	Victor Spng Arthursson.
/*
/*	Ingen kod fr anvndas i annat sammanhang n vad som skriftligen verrens-
/*	kommet med ovan nmnda, och inte heller modifieras p ngot stt. I vrigt
/*	gller svensk upphovsrttslagstiftning.
/*
/*	Fr ytterligare information och kontakt:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/*
/*						*** copyright - english version ***
/*
/*	All copyright belongs to adversus art, web & media and
/*	Victor Spng Arthursson.
/*
/*	No code may be used in other circumstances than what has been writtenly agreed
/*	upon with the copyright holder according to above, and it may not be modified
/*	in any what so ever way. For other issues, the swedish copyright laws applies.
/*
/*	More information and contact:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/******************************************************************************/


// *** sprogvariabler ***

include_once("includes/languages.php");

// ### sprogvariabler ###

// *** includefiler ***

// *** hndelser som sker innan ev output ***
// supress error messages - sessioner kan redan ha startats
@session_start();

// starta ev debugmode
if(isset($_GET["debug"]))
	$_SESSION["debug"] = true;
// skriv ut att debugmode r p
if(isset($_SESSION["debug"]))
	echo "Debug-mode active\n";
	
// spara instllningarna

// kan gras frsta gngen d de inte existerar, alternativt d man r inloggad
if((!file_exists("preferences/settings1.php") && isset($_POST["prefssubmit"]))||(isset($_SESSION["loggedin"]) && isset($_POST["prefssubmit"]))) {
	include("includes/save_preferences.php");
}

## spara instllningarna

// inkludera klassen fr att hantera filsystem
include_once("classes/class_file_manager.php");

// inkludera funktioner
include_once("functions/function_valid_array.php");
include_once("functions/function_valid_string.php");
include_once("functions/function_parse_ini_file_substitute.php");
include_once("functions/return_this_version.php");

// inloggningsfrsk
if(file_exists("preferences/settings1.php") &! isset($_SESSION["loggedin"]) && isset($_POST["username"]) && isset($_POST["password"])) {
	include("includes/process_login.php");
}
## inloggningsfrsk
### hndelser som sker innan ev output ###

// ls in instllningarna
if(!$prefs = @parse_ini_file("preferences/settings1.php"))
	$prefs = parse_ini_file_substitute("preferences/settings1.php");

// stt aktivt sprk

include("includes/set_var_activelang.php");	

## stt aktivt sprk

// ndra query-separator
ini_set("arg_separator.output", "&amp;");

// skriv ut sidhuvud - xmldeklaration bara fr internet explorer och css-haxxen
echo '<?xml version="1.0"?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>
			<?php 
			include("includes/title.php");
			?>
		</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<!--styles.php-->
		<?php include("includes/styles.php"); ?>
	</head>
	<body>
		<!--Hr startar include-->
		<script language="JavaScript" type="text/javascript" src="js/playpause.js"></script>
		<?php include("includes/banner_top.php"); ?>
		<div id="content">
			<div id="spacing">
<?php

// 1. skriv ut loginformulr ifall instllningar existerar och man inte r inloggad samt har valt instllningar
if(file_exists("preferences/settings1.php") &! isset($_SESSION["loggedin"]) && (isset($_GET["action"]) && $_GET["action"] == "preferences")):
	include("includes/include_loginform.php");

// 2. annars om inte instllningar existerar (=frsta gngen) eller instllningssidan valts och man  r inloggad -> skriv ut instllningssidan 
elseif(!file_exists("preferences/settings1.php")||(isset($_SESSION["loggedin"]) && (isset($_GET["action"]) && $_GET["action"] == "preferences"))):
	echo (isset($_SESSION["debug"])?"2\n":"");

	// 2.1 om inte instllningarna kunde skrivas till disk s spara ver innehllet i _POST till prefs istllet fr att spara vrdena
	if(isset($writeerror)) // stts i includefilen write_preferences
		$prefs = $_POST;

	// r inte sprk satt s inkludera fil fr att vlja dito
	if(!isset($_GET["lang"]) &! isset($prefs["activelang"]))
		include("includes/choose_lang.php");

	// annars inkludera preferensformulr
	else
		include("includes/include_prefsform.php");	
		
## 2. annars om inte instllningar existerar (=frsta gngen) eller instllningssidan valts och man inte r inloggad -> skriv ut instllningssidan 
	
// 3. annars om instllningsfil finns - lista foldrar / versionshistoria / bilder / bild
else:
	echo (isset($_SESSION["debug"])?"3\n":"");

	// 3.1 om en folder och en bild r vald s visa bilden
	if(isset($_GET["folder"]) && is_dir($prefs["base_path"] . "/" . $prefs["pic_path"] . "/" . $_GET["folder"]) && isset($_GET["image"]) && file_exists($prefs["base_path"] . "/" . $prefs["pic_path"] . "/" . $_GET["folder"] . "/" . $_GET["image"]))
		include("includes/include_showimage.php");	
	
	// 3.2 annars om en folder har valts ska vi browsa ut den
	elseif(isset($_GET["folder"]) && is_dir($prefs["base_path"] . "/" . $prefs["pic_path"] . "/" . $_GET["folder"]))
		include("includes/include_list_images.php");				

	// 3.3 annars om ngon skulle ha valt att se versionshistoria: visa den
	elseif(isset($_GET["action"]) && $_GET["action"] == "versionhistory") 
		include("includes/include_show_versionhistory.php");

	// 3.4 annars ska vi bara displaya en lista p de olika foldrar som finns i mappen
	else
		include("includes/include_list_folders.php");

endif;

## 3. annars om instllningsfil finns - lista foldrar / versionshistoria / bilder / bild
	
	?>
	</div>
		</div>
	<?php include("includes/banner_bottom.php"); ?>

</body>
</html>